<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for QueueRS StructType
 * @package Dg
 * @subpackage Structs
 */
class DgQueueRS extends AbstractStructBase
{
    /**
     * The Warnings
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgWarningsType
     */
    public $Warnings;
    /**
     * The Errors
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgErrorsType
     */
    public $Errors;
    /**
     * The PNRList
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgPNRListType
     */
    public $PNRList;
    /**
     * The Success
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgSuccessType
     */
    public $Success;
    /**
     * Constructor method for QueueRS
     * @uses DgQueueRS::setWarnings()
     * @uses DgQueueRS::setErrors()
     * @uses DgQueueRS::setPNRList()
     * @uses DgQueueRS::setSuccess()
     * @param \dgsoft\StructType\DgWarningsType $warnings
     * @param \dgsoft\StructType\DgErrorsType $errors
     * @param \dgsoft\StructType\DgPNRListType $pNRList
     * @param \dgsoft\StructType\DgSuccessType $success
     */
    public function __construct(\dgsoft\StructType\DgWarningsType $warnings = null, \dgsoft\StructType\DgErrorsType $errors = null, \dgsoft\StructType\DgPNRListType $pNRList = null, \dgsoft\StructType\DgSuccessType $success = null)
    {
        $this
            ->setWarnings($warnings)
            ->setErrors($errors)
            ->setPNRList($pNRList)
            ->setSuccess($success);
    }
    /**
     * Get Warnings value
     * @return \dgsoft\StructType\DgWarningsType|null
     */
    public function getWarnings()
    {
        return $this->Warnings;
    }
    /**
     * Set Warnings value
     * @param \dgsoft\StructType\DgWarningsType $warnings
     * @return \dgsoft\StructType\DgQueueRS
     */
    public function setWarnings(\dgsoft\StructType\DgWarningsType $warnings = null)
    {
        $this->Warnings = $warnings;
        return $this;
    }
    /**
     * Get Errors value
     * @return \dgsoft\StructType\DgErrorsType|null
     */
    public function getErrors()
    {
        return $this->Errors;
    }
    /**
     * Set Errors value
     * @param \dgsoft\StructType\DgErrorsType $errors
     * @return \dgsoft\StructType\DgQueueRS
     */
    public function setErrors(\dgsoft\StructType\DgErrorsType $errors = null)
    {
        $this->Errors = $errors;
        return $this;
    }
    /**
     * Get PNRList value
     * @return \dgsoft\StructType\DgPNRListType|null
     */
    public function getPNRList()
    {
        return $this->PNRList;
    }
    /**
     * Set PNRList value
     * @param \dgsoft\StructType\DgPNRListType $pNRList
     * @return \dgsoft\StructType\DgQueueRS
     */
    public function setPNRList(\dgsoft\StructType\DgPNRListType $pNRList = null)
    {
        $this->PNRList = $pNRList;
        return $this;
    }
    /**
     * Get Success value
     * @return \dgsoft\StructType\DgSuccessType|null
     */
    public function getSuccess()
    {
        return $this->Success;
    }
    /**
     * Set Success value
     * @param \dgsoft\StructType\DgSuccessType $success
     * @return \dgsoft\StructType\DgQueueRS
     */
    public function setSuccess(\dgsoft\StructType\DgSuccessType $success = null)
    {
        $this->Success = $success;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgQueueRS
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
